## Package Win32::GUI::ImageList

Back to the Packages

- Constructor

  - new Win32::GUI::ImageList(X, Y, FLAGS, INITAL, GROW)

- Methods

  - Add(BITMAP, [BITMAPMASK])

  - AddBitmap(BITMAP, [BITMAPMASK])

  - BackColor([COLOR])

  - Clear()

  - Count()

  - Remove(INDEX)

  - Replace(INDEX, BITMAP, [BITMAPMASK])

  - Size([X, Y])

### Constructor

new Win32::GUI::ImageList(X, Y, FLAGS, INITAL, GROW)

  Creates an ImageList object; X and Y specify the size of the images, FLAGS [TBD]. INITIAL and GROW specify the number of images the ImageList actually contains (INITIAL) and the number of images for which memory is allocated (GROW).

### Methods

Add(BITMAP, [BITMAPMASK])

  Adds a bitmap to the ImageList; both BITMAP and BITMAPMASK can be either Win32::GUI::Bitmap objects or filenames.

AddBitmap(BITMAP, [BITMAPMASK])

  Adds a Win32::GUI::Bitmap object to the ImageList. BITMAPMASK is optional. See also Add().

BackColor([COLOR])

  Gets or sets the background color for the ImageList.

Clear()

  Removes all the images from the ImageList.

Count()

  Returns the number of images in the ImageList.

Remove(INDEX)

  Removes the specified zero-based INDEX image from the ImageList.

Replace(INDEX, BITMAP, [BITMAPMASK])

  Replaces the specified zero-based INDEX image with the image specified by BITMAP (must be a Win32::GUI::Bitmap object). BITMAPMASK is optional.

Size([X, Y])

  Gets or sets the size of the images in the ImageList; if no parameter is given, returns a 2 element array (X, Y), otherwise sets the size to the given parameters.